﻿'use strict';

var Mavention = window.Mavention || {};
Mavention.SPSNL14 = function () {
    var appWebUrl,
        hostWebUrl,
        ctag,
        resourcesBase,

        chromeBarOptions = {
            siteTitle: '',
            siteUrl: '',
            appHelpPageUrl: '',
            appIconUrl: '',
            appTitle: document.title
        },

        getQueryStringParameter = function(paramToRetrieve) {
            var params,
                strParams;

            params = document.URL.split('?')[1].split('&');
            strParams = '';

            for (var i = 0; i < params.length; i++) {
                var singleParam = params[i].split('=');

                if (singleParam[0] === paramToRetrieve) {
                    return singleParam[1];
                }
            }
        },

        initializeAppUi = function () {
            $.getScript(resourcesBase + "SP.UI.Controls.js").success(function () {
                chromeBarOptions.siteTitle = getQueryStringParameter('SPHostTitle');
                chromeBarOptions.siteUrl = hostWebUrl;
                chromeBarOptions.appIconUrl = '../images/mavention.png';

                var nav = new SP.UI.Controls.Navigation('chromeControlContainer', chromeBarOptions);
                nav.setVisible(true);
            });
        },

        init = function() {
            hostWebUrl = decodeURIComponent(getQueryStringParameter('SPHostUrl'));
            resourcesBase = hostWebUrl + '/_layouts/15/';

            initializeAppUi();
        };

    return {
        init: init
    };
}();